/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: del_TERM.c 1.3 89/10/10 $@(#)curses:screen/del_TERM.c	1.5"
#include "curses.ext"

/*
 * Relinquish the storage associated with "oldterminal".
 */
extern TERMINAL _first_term;
extern int _called_before;
extern char _frst_tblstr[];

int del_curterm(oldterminal)
register TERMINAL *oldterminal;
{
	if (oldterminal) {
		if (oldterminal == &_first_term) {
			/* next setupterm can reuse static areas */
			_called_before = FALSE;
			if (oldterminal->_strtab != _frst_tblstr)
				free((char *)oldterminal->_strtab);
		} else {
			free((char *)oldterminal->_bools);
			free((char *)oldterminal->_nums);
			free((char *)oldterminal->_strs);
			free((char *)oldterminal->_strtab);
			free((char *)oldterminal);
		}
		return OK;
	} else
		return ERR;
}
